Using the vSphere CLI, you can patch ESXi 5.0 hosts.

You cannot use esxcli commands to upgrade version 4.x ESX or ESXi hosts to ESXi 5.0. To upgrade version 4.x ESX or ESXi hosts to ESXi 5.0, use vSphere Update Manager, or perform an interactive or scripted upgrade.

To use esxcli vCLI commands, you must install vSphere CLI (vCLI). For more information about installing and using the vSphere CLI, see the following documents:

Getting Started with vSphere Command-Line Interfaces

vSphere Command-Line Interface Concepts and Examples

vSphere Command-Line Interface Reference is a reference to vicfg- and related vCLI commands.

Note

If you press Ctrl+C while an esxcli command is running, the command-line interface exits to a new prompt without displaying a message. However, the command continues to run to completion.

For ESXi hosts deployed with vSphere Auto Deploy, the tools VIB must be part of the base booting image used for the initial Auto Deploy installation. The tools VIB cannot be added separately later.